Summary: A GNU file archiving program.
Name: tar
%define dds2tarversion 2.4.21
%define tarversion 1.13.25
Version: %{tarversion}
Release: 8tr
License: GPL
Group: System/Archiving
Source0: ftp://ftp.gnu.org/pub/gnu/tar/tar-%{tarversion}.tar.bz2
Source1: ftp://ftp.uni-duesseldorf.de/pub/unix/apollo/dds2tar-%{dds2tarversion}.tar.gz
Patch0: tar-1.13.18-manpage.patch
Patch1: tar-1.13.25-sock.patch
Patch2: tar-1.13.22-nolibrt.patch
Patch3: tar-1.13.19-error.patch
Patch4: tar-1.13.19-absolutenames.patch
Patch5: tar-1.13.25-argv.patch
Patch6: tar-1.13.25-dots.patch
Patch7: tar-1.13.25-dds.patch 
Patch8: tar-1.13.25-autoconf.patch
Patch10: dds2tar-makefile.patch
BuildRequires: autoconf >= 2.52, m4, texinfo
Buildroot: %{_tmppath}/%{name}-%{version}-root
PreReq: htmlinfo

%description -n tar
The GNU tar program saves many files together in one archive and can
restore individual files (or all of the files) from that archive. Tar
can also be used to add supplemental files to an archive and to update
or list files in the archive. Tar includes multivolume support,
automatic archive compression/decompression, the ability to perform
remote archives, and the ability to perform incremental and full
backups.

If you want to use tar for remote backups, you also need to install
the rmt package.


%package -n dds2tar
Summary: Digital-Data-Storage Extract Tool
Version: %{dds2tarversion}
Group: System/Archiving

%description -n dds2tar
This tool makes use of the fast seek command of DAT devices.
Files from a selected file archive can be extracted within
one minute.

dds2tar adds the ability to extract single files inside a tar archive
on a scsi-tape very fast.


%prep
rm -rf tar_%{tarversion}
mkdir -p tar_%{tarversion}
%setup -q -T -D -a 0 -n tar_%{tarversion}
%setup -q -T -D -a 1 -n tar_%{tarversion}

cd tar-%{tarversion}
%patch0 -p1 -b .manpage
%patch1 -p1 -b .sock
%patch2 -p1 -b .librt
%patch3 -p1 -b .err
%patch4 -p1 -b .absn
%patch5 -p1 -b .argv
%patch6 -p1 -b .dots
%patch7 -p1 -b .dds
%patch8 -p1 -b .autoconf

cd ..
cd dds2tar-%{dds2tarversion}
%patch10 -p1 -b .makefile


%build
cd tar-%{tarversion}
%define optflags \$RPM_OPT_FLAGS -DHAVE_STRERROR -D_GNU_SOURCE
# autoconf
%configure --bindir=/bin --libexecdir=/sbin
make LIBS=-lbsd

cd doc
makeinfo --html --no-split tar.texi
cd ..

cd ..
cd dds2tar-%{dds2tarversion}
make BUFFER=-DST_BUFFER_BLOCKS=32


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

cd tar-%{tarversion}
make prefix=${RPM_BUILD_ROOT}%{_prefix} \
    bindir=${RPM_BUILD_ROOT}/bin \
    libexecdir=${RPM_BUILD_ROOT}/sbin \
    mandir=${RPM_BUILD_ROOT}%{_mandir} \
    infodir=${RPM_BUILD_ROOT}%{_infodir} \
	install
ln -s tar ${RPM_BUILD_ROOT}/bin/gtar

mkdir -p $RPM_BUILD_ROOT/usr/share/html/tar
install -m 644 doc/tar.html  $RPM_BUILD_ROOT/usr/share/html/tar/

( cd $RPM_BUILD_ROOT
  for dir in ./bin ./sbin .%{_prefix}/bin .%{_prefix}/libexec
  do
    [ -d $dir ] || continue
    strip $dir/* || :
  done
  gzip -9nf .%{_infodir}/tar.info*
  rm -f .%{_infodir}/dir
)

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
install -c -m644 tar.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

# %find_lang %name

cd ..
cd dds2tar-%{dds2tarversion}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
%makeinstall


%post
/usr/sbin/htmlinfo_update.sh

%preun
/usr/sbin/htmlinfo_update.sh

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin/tar
/bin/gtar
%{_mandir}/man1/tar.1*
%dir %{_prefix}/share/html/tar
%{_prefix}/share/html/tar/tar.html

%files -n dds2tar
%defattr(-,root,root)
/usr/bin/dds2tar
/usr/bin/dds2index
/usr/bin/mt-dds
/usr/bin/dds-dd
/usr/bin/scsi_vendor
/usr/bin/ddstool
%doc %{_mandir}/man1/dds2index.1*
%doc %{_mandir}/man1/dds2tar.1*
%doc %{_mandir}/man1/dds-dd.1*
%doc %{_mandir}/man1/mt-dds.1*


%changelog
* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.13.25-8tr
- Big rebuild.

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 1.13.25-7gd
- Added PreReq on htmlinfo

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.13.25-6em
- Rebuilt against glibc 2.3.2.

* Thu Feb 27 2003 Erlend Midttun <erlendbm at trustix dot com> 1.13.25-5em
- Make setup quiet.

* Wed Feb 26 2003 Goetz Bock <bock@trustx.org> tar-1.13.25-4bg
- changed package name to tar, and have the tar srpm provide dds2tar

* Sat Feb 01 2003 Tor Hveem <torh at trustix dot org> dds2tar-2.4.21-3th
- Fixed package Group
- added texinfo buildreq

* Tue Nov 23 2002 Goetz Bock <blck@blacknet.de> 2.4.21-2bn
- merged the changes from info to htmlinfo from TSL2.0
- removed the i18n files
- added patch5 and pach6 from redhat to tar

* Mon Apr 15 2002 Goetz Bock <blck@blacknet.de> 2.4.21-1bn
- rebuild with real release number

* Thu Mar 14 2002 Goetz Bock <bock@blacknet.de>
- Combi SRPM with dds2tar and tar
- dds2tar 2.4.21
- tar 1.13.25
- builded for Trustix BlackNet Edition

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild
- based on redhat's tar-1.13.25-2

